Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QTextStream.Status

    java.lang.Object
      java.lang.Enum<QTextStream.Status>
          com.trolltech.qt.core.QTextStream.Status

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextStream.Status>

Enclosing class:
  QTextStream

    public static enum QTextStream.Status

extends java.lang.Enum<QTextStream.Status>
implements QtEnumerator

This enum describes the current status of the text stream.

See Also:
  `status`

Enum Constant Summary
`Ok` The text stream is operating normally.
`ReadCorruptData` The text stream has read corrupt data.
`ReadPastEnd` The text stream has read past the end of the data in the underlying device.

Method Summary
`static QTextStream.Status` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextStream.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextStream.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Ok

    public static final QTextStream.Status Ok

  The text stream is operating normally.

### ReadPastEnd

    public static final QTextStream.Status ReadPastEnd

  The text stream has read past the end of the data in the underlying device.

### ReadCorruptData

    public static final QTextStream.Status ReadCorruptData

  The text stream has read corrupt data.

Method Detail

### values

    public static final QTextStream.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextStream.Status c : QTextStream.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextStream.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextStream.Status resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD